:root {
    --wishlist-heart-size: 12px;
    --wishlist-heart-background: var(--primary-base-color);
}

.WishlistButton-add {
    &::before {
        opacity: 0;
    }

    &::after {
        opacity: 1;
    }

    @media (hover: hover) and (pointer: fine) {
        &:hover,
        &:focus {
            &::before {
                opacity: 1;
            }

            &::after {
                opacity: 0;
            }
        }
    }
}

.WishlistButton-remove {
    &::before {
        opacity: 1;
    }

    &::after {
        opacity: 0;
    }

    @media (hover: hover) and (pointer: fine) {
        &:hover,
        &:focus {
            &::before {
                opacity: 0;
            }

            &::after {
                opacity: 1;
            }
        }
    }
}

.ProductWishlistButton {
    width: 35px;
    height: 35px;
    position: absolute;
    top: 5px;
    right: 5px;
    z-index: 1;
    transition: opacity 0.3s ease-in-out;
    cursor: pointer;

    > span {
        display: none;
        font-size: 12px;
        font-weight: normal;
        line-height: 10px;
    }

    &::before,
    &::after {
        display: inline-block;
        position: absolute;
        top: 8px;
        left: 8px;
        transform: scale(1.4);
        transition: opacity 0.3s ease-in-out;
    }

    &::before {
        content: url('../../style/images/rating_star_filled.svg');
    }

    &::after {
        content: url('../../style/images/rating_star.svg');
    }

    &_isDisabled {
        opacity: 0.7;
    }

    &:not(.ProductWishlistButton_isInWishlist) {
        @extend .WishlistButton-add;
    }

    &_isInWishlist {
        @extend .WishlistButton-remove;
    }
}
